# Generated from adalog-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name adalog

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: A not-quite logger, with several storage methods. Records occurrences, provides a web app for viewing entries
License: Revised BSD, see LICENSE.md
URL: https://github.com/swifthand/adalog
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(turn-again-reporter) >= 1.1
# BuildRequires: rubygem(turn-again-reporter) < 2
# BuildRequires: rubygem(turn-again-reporter) >= 1.1.0
BuildArch: noarch

%description
A not-quite logger, with several storage methods. Records occurrences,
provides a web app for viewing entries. Motivated by the need to record the
actions of stubbed-out versions of adapters to third-party services, and for
that record to be something other than a traditional logger. Web viewer is
built in Sinatra and so can be run standalone via the usual methods or mounted
at some route within a Rails app. Comes with three repository implementations
for storing/retrieving entries and is trivial to write your own.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/adalog.gemspec
%{gem_instdir}/test

%changelog
* Sun Sep 12 2021 mockbuilder - 0.5.0-1
- Initial package
